<div class="app-timepicker-field-wrapper {{_class}}">
  <dx-date-box
    class="flex-fill"
    dropDownButtonTemplate="dropDownButtonTemplate"
    [height]="24"
    [isValid]="true"
    [openOnFieldClick]="true"
    [interval]="interval"
    [(value)]="value"
    [min]="min"
    [max]="max"
    (onOpened)="onOpened()"
    (valueChange)="changeVal($event)"
    (onContentReady)="contentReady($event)"
    type="time">
    <div *dxTemplate="let data of 'dropDownButtonTemplate'">
      <img *ngIf="isDisplayIcon" [src]="icon">
    </div>
  </dx-date-box>
</div>
